# RangeParameter (Vilya Core 1.6 API)
Date: 2015-03-14

com.threerings.parlor.data

## Class RangeParameter

- java.lang.Object
- - com.threerings.parlor.data.Parameter
  - - com.threerings.parlor.data.RangeParameter

All Implemented Interfaces:
  com.threerings.io.Streamable

    public class RangeParameter
    extends Parameter

Models a parameter that can contain an integer value in a specified range.

### Nested Class Summary

### Nested classes/interfaces inherited from interface com.threerings.io.Streamable

`com.threerings.io.Streamable.Closure`

### Field Summary

Fields
`int` `maximum` The maximum value of this parameter.
`int` `minimum` The minimum value of this parameter.
`int` `start` The starting value for this parameter.

### Fields inherited from class com.threerings.parlor.data.Parameter

`ident, name, tip`

### Constructor Summary

Constructors
Constructor and Description
`RangeParameter()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Object` `getDefaultValue()` Returns the default value of this parameter.
`String` `getLabel()` Returns the translation key for this parameter's label.

### Methods inherited from class com.threerings.parlor.data.Parameter

`toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### minimum

    public int minimum

The minimum value of this parameter.

#### maximum

    public int maximum

The maximum value of this parameter.

#### start

    public int start

The starting value for this parameter.

### Constructor Detail

#### RangeParameter

    public RangeParameter()

### Method Detail

#### getLabel

    public String getLabel()

Description copied from class: `Parameter`
Returns the translation key for this parameter's label.

Specified by:
  `getLabel` in class `Parameter`

#### getDefaultValue

    public Object getDefaultValue()

Description copied from class: `Parameter`
Returns the default value of this parameter.

Specified by:
  `getDefaultValue` in class `Parameter`